Mailinglist Archive: opensuse (3337 mails)

< Previous Next >
Re: [opensuse] Reinstall Yast on RC1
On Wed, Apr 19, 2006 at 12:24:16PM +0200, jimmy Pierre wrote:
> Greetings,
>
> In my inteleigence, I tried to install smart and yast is not KO. It keeps
> asking for qt ans ncurses;
>
> I did a
>
> rpm -i name_of_missing.rpm
>
> It says "installed". but Yast will not launch. Do I need to reinstall RC1
> all together?

Sometimes when running YaST, rpm, smart and/or apt at the same time, the
rpm database can get confused.

What I would do is `rpm --rebuilddb`. For me that had solved the isssue
till now. Others have done the following: de-install the RPM(s), run `rpm
--rebuilddb` install the RPM(s). Some even used `rpm --force whatever.rpm`

It could always be that you need to re-install RC1, but then RC1 is not a
finished product, so mthat is to be expected.

houghi
--
Nutze die Zeit. Sie ist das Kostbarste, was wir haben, denn es
ist unwiederbringliche Lebenszeit. Leben ist aber mehr als Werk
und Arbeit, und das Sein wichtiger als das Tun - Johannes Müller-Elmau

< Previous Next >
References